Bug 707814

Summary: preupgrade silent failure for RAID /boot
Product: [Fedora] Fedora Reporter: Bradley <bbaetz>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: dan, duncan, erik, ian, josip, kjell.m.randa, patrick.pichon, richard, tripledes
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 14:04:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bradley 2011-05-25 23:20:25 EDT
Description of problem:

I have a mdadm RAID1 /boot.

Previously preupgrade has "supported" this by downloading the boot image and setting up grub.

Now it downloads the images to /boot/upgrade, but does NOT set up grub. It prompts me to reboot, but that just ends up back in F14

There's a traceback logged to the console:

treeinfo timestamp: Sat May 14 05:44:30 2011
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/initrd.img checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 601, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
preupgrade.error.PUError: /boot is on RAID device md0


Version-Release number of selected component (if applicable):

preupgrade-1.1.9-1.fc14.noarch

How reproducible:

Always

Steps to Reproduce:
1. have raid1 /boot
2. preupgrade F14->F15
3.
  
Actual results:

Images downloaded, but grub not configured

Expected results:

grub configured and preupgrade works. Ideally packages downloaded too, but I can't remember if that used to work or not (this machine is new, and my last raid1 desktop was a while back)
Comment 1 Duncan 2011-06-10 21:18:43 EDT
I found this error also. I have a dual booted revodrive x2, which is essentially a raid 0 device, and I get the exact same error as above except the last line reads:

preupgrade.error.PUError: /boot is on RAID device dm-1
Comment 2 josip 2011-06-17 14:54:59 EDT
I have the same experience in doing preupgrade F14->F15.  Please advise and fix.
Comment 3 Sergio Jimenez 2011-07-02 08:21:48 EDT
Same scenario:

preupgrade.error.PUError: /boot is on RAID device md0
Comment 4 Patrick Pichon 2011-08-06 16:34:27 EDT
I have the same problem. Please explain how to workaround since I do not have any CD/DVD access. This is a remote server and I have only network connection.

Taking in consideration that F15 brings the new systemd system the yum distro-upgrade is not working easier since after the yum we cannot reboot the system!
Comment 5 Erik Johnson 2011-12-22 01:44:08 EST
Issue still exists in FC15 -> FC16
Comment 6 Fedora End Of Life 2012-08-16 11:19:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bradley 2012-08-16 20:29:03 EDT
was still an issue going to F17
Comment 8 Fedora End Of Life 2013-07-04 02:29:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 14:04:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.